Name:           transifex-client
Version:        0.10
Release:        %mkrel 1
Summary:        Command line client for transifex
License:        BSD
Group:          Networking/WWW
BuildArch:      noarch
URL:            http://help.transifex.net/features/client/
# https://github.com/transifex/transifex-client/archive/%%{version}.tar.gz
Source0:        http://pypi.python.org/packages/source/t/transifex-client/%{name}-%{version}.tar.gz
Patch0:         transifex-client-resource-creation.patch

BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
The Transifex Command-line Client is a command line tool that enables you
to easily manage your translations within a project without the need of
an elaborate UI system, by using Transifex hosted services, or your own
instance.

You can use the command line client to easily create new resources, map locale
files to translations and synchronize your Transifex project with your local
repository and vice verca. Translators and localization managers can also
use it to handle large volumes of translation files easily and without much
hassle.

%prep
%setup -q
%apply_patches

%install
python setup.py install --root=%{buildroot}

%files
%doc README.rst
%{_bindir}/tx
%{python_sitelib}/transifex_client*
%{python_sitelib}/txclib


%changelog
* Fri May 02 2014 akien <akien> 0.10-1.mga4
+ Revision: 619396
- Decrease release for mga4
- Add mga4 branch for transifex-client

* Sun Apr 06 2014 tarakbumba <tarakbumba> 0.10-2.mga5
+ Revision: 612439
- Fix creation of resources when server side is empty
- Fix source url

* Sat Dec 07 2013 akien <akien> 0.10-1.mga5
+ Revision: 555808
- Update to 0.10 release

* Tue Oct 22 2013 umeabot <umeabot> 0.9.2-3.mga4
+ Revision: 544699
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.2-2.mga4
+ Revision: 499921
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 25 2013 obgr_seneca <obgr_seneca> 0.9.2-1.mga4
+ Revision: 471648
- New version 0.9.2

  + akien <akien>
    - Updating transifex-client to latest stable upstream release (0.9.1)
    - No upstream changelog, but looking at the git commits, some new features are:
      * Support of local .transifexrc file
      * Improved handling of SSL certificate
      * Merging of 'ssl' and 'fix_config_setup' branches

* Mon Jan 14 2013 umeabot <umeabot> 0.8-2.mga3
+ Revision: 384747
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 28 2012 obgr_seneca <obgr_seneca> 0.8-1.mga3
+ Revision: 264674
- New version 0.8

* Mon Jun 25 2012 obgr_seneca <obgr_seneca> 0.7.3-1.mga3
+ Revision: 263640
- New version 0.7.3

* Tue Feb 28 2012 obgr_seneca <obgr_seneca> 0.7.2-1.mga2
+ Revision: 215844
- new version 0.7.2

* Fri Feb 24 2012 obgr_seneca <obgr_seneca> 0.7-1.mga2
+ Revision: 213838
- new version 0.7

* Fri Sep 16 2011 obgr_seneca <obgr_seneca> 0.5.2-1.mga2
+ Revision: 144327
- new version 0.5.2

* Mon Apr 18 2011 obgr_seneca <obgr_seneca> 0.4.2-0.6306ef12ae8ehg.1.mga1
+ Revision: 87670
- updated to current hg head, since 0.4.1 doesn't work at all
- fedora is using hg as well

  + misc <misc>
    - use more standard macro

* Fri Feb 18 2011 misc <misc> 0.4.1-1.mga1
+ Revision: 53407
- new version
- imported package transifex-client

